/*
 * 3D Scanner Manager
 * Copyright (c) 2021-2024 Zleurtor
 *
 * This file is part of 3D Scanner Manager.
 *
 * 3D Scanner Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * 3D Scanner Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with 3D Scanner Manager.  If not, see <https://www.gnu.org/licenses/>.
 */

package zleurtor.scanmanager.control;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import org.apache.log4j.lf5.LogLevel;

import zleurtor.scanmanager.model.Master;

/**
 * The action triggered when the user click the "log" button.
 *
 * @author Zleurtor
 */
public class LogLevelAction extends AbstractAction {

    private static final long serialVersionUID = -6096953534861867082L;

    /**
     * The model object which has to execute the log process.
     */
    private final Master master;

    /**
     * Constructs a new log action.
     *
     * @param theMaster The model object which has to execute the log process.
     */
    public LogLevelAction(final Master theMaster) {
        super();
        this.master = theMaster;
    }

    @Override
    public final void actionPerformed(final ActionEvent evt) {
        master.logLevel((LogLevel) evt.getSource(), evt.getActionCommand());
    }

}
