/*
 * 3D Scanner Manager
 * Copyright (c) 2021-2024 Zleurtor
 *
 * This file is part of 3D Scanner Manager.
 *
 * 3D Scanner Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * 3D Scanner Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with 3D Scanner Manager.  If not, see <https://www.gnu.org/licenses/>.
 */

package zleurtor.scanmanager.model;

/**
 * Exception thrown if a mac address is not accessible.
 *
 * @author Zleurtor
 */
public class AddressNotAccessibleException extends Exception {

    private static final long serialVersionUID = -1381633092029482206L;

    /**
     * Constructs a new AddressNotAccessibleException with the specified message.
     *
     * @param message the detail message. The detail message is saved for later retrieval by the getMessage() method.
     */
    public AddressNotAccessibleException(final String message) {
        super(message);
    }

}
