/*
 * 3D Scanner Manager
 * Copyright (c) 2021-2024 Zleurtor
 *
 * This file is part of 3D Scanner Manager.
 *
 * 3D Scanner Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * 3D Scanner Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with 3D Scanner Manager.  If not, see <https://www.gnu.org/licenses/>.
 */

package zleurtor.scanmanager.model.events;

import java.util.EventListener;

/**
 * The interface to implement in order to receive artifact repository manager connector events.
 *
 * @author Zleurtor
 */
@FunctionalInterface
public interface ArtifactRepositoryManagerConnectorListener extends EventListener {

    /**
     * The event fired during an artifact download.
     *
     * @param evt The event object containing information on the artifact which is being downloaded.
     */
    void downloadingArtifact(ArtifactRepositoryManagerConnectorEvent evt);

}
